# OpenShaderDesigner: OpenShaderDesigner::EditorWindow Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::EditorWindow Class Reference

EditorWindow class for wrapping ImGui window functionality. More...

`#include <EditorWindow.h>`

Inheritance diagram for OpenShaderDesigner::EditorWindow:

## Public Member Functions

void | Open ()
| Open the EditorWindow.
void | Draw ()
| Draw the EditorWindow.
void | Close ()
| Close the EditorWindow.
bool | IsOpen () const
| Check if the EditorWindow is open.
void | SetFlags (ImGuiWindowFlags flags)
void | ClearFlags (ImGuiWindowFlags flags)
void | ToggleFlags (ImGuiWindowFlags flags)
bool | CheckFlag (ImGuiWindowFlags flag) const
bool | HasMenuBar () const

## Public Attributes

const std::string | Title
| Title for the EditorWindow.

## Protected Member Functions

| EditorWindow (const std::string &title, ImGuiWindowFlags flags)
virtual void | OnOpen ()
| OnOpen callback for when the EditorWindow is opened.
virtual void | DrawWindow ()
| DrawWindow function for when the EditorWindow is being drawn.
virtual void | DrawMenu ()
| DrawMenu function for when the EditorWindow Menu is being drawn.
virtual void | OnClose ()
| OnClose callback for when the EditorWindow is closed.

## Friends

class | EditorSystem

## Detailed Description

EditorWindow class for wrapping ImGui window functionality.

## Member Function Documentation

## DrawMenu()

virtual void OpenShaderDesigner::EditorWindow::DrawMenu | ( |  | ) |

inlineprotectedvirtual

DrawMenu function for when the EditorWindow Menu is being drawn.

Reimplemented in OpenShaderDesigner::ConsoleWindow.

## DrawWindow()

virtual void OpenShaderDesigner::EditorWindow::DrawWindow | ( |  | ) |

inlineprotectedvirtual

DrawWindow function for when the EditorWindow is being drawn.

Reimplemented in OpenShaderDesigner::ConsoleWindow, OpenShaderDesigner::Inspector, OpenShaderDesigner::Profiler, and OpenShaderDesigner::ShaderGraph.

## IsOpen()

bool OpenShaderDesigner::EditorWindow::IsOpen | ( |  | ) | const

inlinenodiscard

Check if the EditorWindow is open.

Returns

## OnOpen()

virtual void OpenShaderDesigner::EditorWindow::OnOpen | ( |  | ) |

inlineprotectedvirtual

OnOpen callback for when the EditorWindow is opened.

Reimplemented in OpenShaderDesigner::ShaderGraph.

The documentation for this class was generated from the following files:

- Include/Editor/EditorWindow.h
- Source/Editor/EditorWindow.cpp